
#body {
	margin:0px;
    padding:0px;

    background-color: #00043c;

    color: #ffffff;
    font-family: Arial, Helvetica, sans-serif;
    overflow: hidden;
}
.canvas_halvany {
	transition: all 1s;
	opacity:    0.8;	
}

#tartalom {
	display: flex;
	flex-direction: row;
	width: 100%;

    background-color: #00246e;
	
	align-items:flex-start;

	justify-content: center;
	position: relative;
	margin:0px;
    padding:0px;
    overflow: hidden;
    background-size: cover;
}

#body.AlloKepernyo #tartalom {
	display: block;
}

#kulso_keret {
	display: none;
	overflow: hidden;
}


#canvasAnim {
	display: none;
	background-color: #00246e;
}



#vaszon_kulso {
	display: flex;
	justify-content: center;
	margin:0px;
    padding:0px;
    overflow: hidden;
}


canvas {
    max-width: 100vw;
    margin:0px;
    padding:0px;
    overflow: hidden;
}

.nagyVaszon canvas {
	max-height: calc(100vh);
}



#MenuVaszon,
#GameVaszon {
	position: relative;

}

.felx_kozepre {
	display: flex;
	justify-content: center;
	align-items: center;
}

#body {
	margin-top: auto;  
	margin-bottom: auto;
}

#AnimacioVaszon {
	position: absolute;
	display: none;
	width: 100%;
	height:100%;	
	left:0;
	top:0;
}

.AlloKepernyo #kulso_keret.EredmenyKepernyo #canvasMenu,
.AlloKepernyo #kulso_keret.EredmenyKepernyo #canvasMAnim {
	max-height: 100%;
}

/* HELP KÉPERNYŐ */
#help_kepernyo {
	position: absolute;
	width: 90%;
	height:100%;	
	left:5%;
	top:0px;
	display: none;
	font-size: 1.5vw;
}

#help_kepernyo p {
	margin: 2px;
}

#help_belso {
	position: relative;
	min-width: 100%;
	
	max-width: 100%;
	max-height:100%;
	background-color: rgba(6,34,70,0.7);
	margin:10px;
	flex-direction: column;
	display: flex;
	
	padding:10px 10px;
	border-radius:5px;
	border:1px solid rgba(255, 255, 8, 0.8);
	
	background-color: #fff;
	color: #000;
}

#help_h1 {
	margin-top:10px;
}


#helpKikapcs {
	position: absolute;
	top:10px;
	right:10px;
	background-color:#800;
	width: 4vw;
	height:4vw;
	border-radius:50%;
	border:1px solid rgba(16, 8, 8, 0.2);
	cursor:grabbing;
	color:#fff;
}

#helpGorget {
	overflow-y: scroll;
}


/* START KÉPERNYŐ */
#start_kepernyo {
	position: relative;
	width: 100vw;
	height:100vh;	
	left:0;
	top:0;
	background-color: #000;
	display: none;
}

#start_belso {
	position: relative;
	width: 500px;	
	max-width: 100%;
	max-height:100%;
	background-color: rgba(255,255,255,0);
	margin:10px;
	flex-direction: column;
	display: flex;
	padding:10px 10px;
}

#start_gombok {
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
}

#start_tovabb,
#start_vissza,
#start_start {
	width: 200px;
	height:200px;	
	left:100px;
	top:100px;
	background-color: #0a0;
	border-radius:50%;
	opacity: 0;
	transition: opacity 3s;
}

#start_start2,
#start_start1 {
	width: 200px;
	height:80px;	
	left:100px;
	top:100px;
	background-color: #0a0;
	border-radius:20px;
	opacity: 0;
	transition: opacity 3s;
	margin:5px;
}

#start_vissza {
	background-color: #a00;
}

#start_tovabb {
	opacity: 1;
}



#start_tovabb img,
#start_start img {
	width: 100px;
	height:100px;
}
#start_korona img {
	width: 200px;
	height:200px;
}

@media only screen and (max-width : 1200px)  { 
	#start_tovabb img,
	#start_start img {
		width: 50px;
		height:50px;
	}	
	#start_tovabb,
	#start_vissza,
	#start_start {
		width: 100px;
		height:100px;	
	}
}


#start_kepernyo h1 {
	text-align: center;
	color: rgba(255,255,0,0.6);
	text-shadow:-1px -1px 2px rgba(0,0,0,1);
	font-weight: normal;
	font-variant: small-caps;
	letter-spacing:2px;
	margin-bottom:10px;
}

#start_kepernyo h2 {
	text-align: center;
	color: rgba(255,255,0,0.6);
	text-shadow:-1px -1px 2px rgba(0,0,0,1);
	font-weight: normal;
	letter-spacing:2px;
	margin-bottom:10px;
}

.stat_gomb_txt {
  margin:20px;
  max-width: 400px;
  text-align: center;
  transition: opacity 3s;
  opacity: 0;
}

#start_belso .z {
	color: #0a0;
}

#start_belso .p {
	color: #a00;
}




#start_kepernyo #start_hatter {
	position: absolute;
	width: 100vw;
	height:100vh;
	left: 0px;
	top: 0px	
}

#start_kepernyo #start_hatter img {
	width: 100vw;
}











@media only screen and  (max-width : 700px)  {

	#start_kepernyo {	
		position: relative;
	}

	#start_belso {
		width: 320px;
		margin:5px;
		padding-bottom:10px;
	}
	#start_kepernyo h1 {
		margin-bottom: 3px;
		font-size: 18px;
		margin:5px;
	}
	#start_kepernyo h2 {
		font-size: 16px;
		margin:5px;
	}
	#start_kepernyo p {
		font-size: 14px;
		margin:5px;
	}
	#start_tovabb,
	#start_vissza, #start_start {
		width: 100px;
		height: 100px;
	}
	
	#start_tovabb img,
	#start_vissza img, #start_start img {
		width: 75px;
		height: 75px;
	}
	
	#start_korona img {
		width: 42px;
		height:42px;	
	}
	
}



@media screen and (max-height: 700px)  {

	#start_kepernyo {	
		position: relative;
	}

	#start_belso {
		width: 320px;
		margin:5px;
		padding-bottom:10px;
	}
	#start_kepernyo h1 {
		margin-bottom: 3px;
		font-size: 18px;
		margin:5px;
	}
	#start_kepernyo h2 {
		font-size: 16px;
		margin:5px;
	}
	#start_kepernyo p {
		font-size: 14px;
		margin:5px;
	}
	
	#start_korona img {
		width: 42px;
		height:42px;	
	}

}

#fordits {
	text-align: center;
	margin:10px;
	padding: 30px 10px;
	display: none;
}

#fordits img {
	width: 100px;
}



.nkepernyo #tkepernyoimg {display:inline-block;}
.nkepernyo #nkepernyoimg {display:none;}
.tkepernyo #nkepernyoimg {display:inline-block;}
.tkepernyo #tkepernyoimg {display:none;}



.nemAllo #kulso_keret {
	height: 100vh;
}

#belso_keret {
	margin-top: auto;
	margin-bottom: auto;
	margin-left: auto;
	margin-right: auto;
}
    


#start_kepernyo {
	overflow: hidden;
	
}

#MenuVaszonKulso {
	position: relative;
	background-color: #062246;
}

#htmlMenu {
	position: absolute;
	left: 0;
	top: 0;
	width:100%;
	height: 100%;
}

#fejlec_ikonok_kulso img {
	width:80%;
}

#fejlec_div_szinek,
#fejlec_vez_blokk {
	position: relative;
}

#r_hasonlit_blokk,
#r_homero_blokk,
#r_adatok_blokk,
#r_szinek_blokk {display:none;}

#chSzinek:checked ~ #r_szinek_blokk {
	display:block;
}

#chAdatok:checked ~ #r_adatok_blokk {
	display:block;
}

#chHomero:checked ~ #r_homero_blokk {
	display:block;
}

#chHasonlit:checked ~ #r_hasonlit_blokk {
	display:block;
}

#r_hasonlit_blokk,
#r_homero_blokk,
#r_adatok_blokk,
#r_szinek_blokk {
	position: relative;
}

#r_homero_hasonlit_belso,
#r_homero_blokk_belso,
#r_adatok_blokk_belso,
#r_szinek_blokk_belso {
	position: absolute;
	left: -200px;
	top: -50px;
	width:195px;
	height: auto;
	background-color: #062246;
	background-color: rgba(6,34,71,0.8);
	padding: 10px;
	text-align:left;
}







#helpGorget {
	font-size: 1.3em;
	line-height:130%;
}

#GameVaszonKulso {
	position: relative;
}

#eredmeny_kepernyo {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	align-items: center;
    justify-content: center;
    flex-direction: column;
}

#eredmeny_maxpont,
#eredmeny_aktpont {
	width: 100%;
	display: flex;
	align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-bottom: 30px;
    font-size: 2.5em;
}

#eredmeny_link {
	position: absolute;
	right: 20px;
	top: 5px;
	width: 80px;
	height: 80px;
}

#img_logo {
	position: absolute;
	left: 20px;
	top: 5px;
	width: 80px;
	height: 80px;
}

#img_logo img,
#eredmeny_link img {
	width: 80px;
	height: 80px;
}

@media only screen and (max-width : 1000px)  { 
	#img_logo,
	#eredmeny_link {
		width: 60px;
		height: 60px;
	}
	#img_logo img,
	#eredmeny_link img {
		width: 60px;
		height: 60px;
	}
}

@media only screen and (max-width : 800px)  { 
	#img_logo,
	#eredmeny_link {
		width: 50px;
		height: 50px;
	}
	#img_logo img,
	#eredmeny_link img {
		width: 50px;
		height: 50px;
	}
}

@media only screen and (max-width : 600px)  { 
	#img_logo,
	#eredmeny_link {
		width: 40px;
		height: 40px;
	}
	#img_logo img,
	#eredmeny_link img {
		width: 40px;
		height: 40px;
	}
}

#eredmeny_maxpont {
	color: #fe0;
}



#eredmeny_csillag {width: 90px;}
#eredmeny_korona  {width: 150px;}

@media only screen and (max-width : 1200px)  { 
	#eredmeny_csillag {width: 60px;}
	#eredmeny_korona  {width: 100px;}	
	#start_tovabb {
		width: 100px;
		height: 100px;
	}	
	#start_tovabb img {
		width: 60px;
		height: 60px;
	}
	#eredmeny_maxpont,
	#eredmeny_aktpont {
		padding-bottom: 20px;
	}
}

@media only screen and (max-width : 700px)  { 
	#eredmeny_csillag {width: 30px;}
	#eredmeny_korona  {width: 50px;}
	#start_tovabb {
		width: 50px;
		height: 50px;
	}	
	#start_tovabb img {
		width: 30px;
		height: 30px;
	}
	#eredmeny_maxpont,
	#eredmeny_aktpont {
		padding-bottom: 15px;
	}
}

#eredmeny_maxpont div
#eredmeny_aktpont div {
	margin-top: 6px;
}
